Bug 30087 - system prints out a misleading message while halting
system prints out a misleading message while halting
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-28 17:12 EST by Landon Curt Noll
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-28 17:12:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2001-02-28 17:12:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)

When halting the system, the system prints our the message: "The System is
and them performs some other actions (such as stopping md devices) and then
the system prints "System halted".

Some users, seeing the "The system is halted" powerdown without waiting for
the remaining actions and the second "System halted" mesage to be printed;
in undesirable effects.

Reproducible: Always
Steps to Reproduce:
2.notice the "The system is halted" message
3.notice that the system does not halt but instead does other things

Actual Results:  The system is halted
stopping md devices
System halted

Expected Results:  There should be only one halt message.

Apply this patch to /etc/rc.d/init.d/halt:

*** halt	2001/02/28 22:04:51	1.1
--- halt	2001/02/28 22:05:15
*** 27,33 ****
  # See how we were called.
  case "$0" in
! 	message="The system is halted"
--- 27,33 ----
  # See how we were called.
  case "$0" in
! 	message="The system is about to be halted"

This fake "System halted" as resulted in loss of data because the user
powered down before the md devices were stopped.  While it is the fault
of our md devices ... had the system not printed a misleading message,
the user would not have performed a pre-mature powerdown.
Comment 1 Bill Nottingham 2001-02-28 17:19:04 EST
Changed to 'Halting system...' in initscripts-5.70-1 or so.

Note You need to log in before you can comment on or make changes to this bug.